import Chart from "../core.js";
import { name, schema } from "./entities/test-unique.js";
/**
 * For testing
 */ export default class TestUniqueChart extends Chart {
    constructor(){
        super(name, schema);
    }
    async tickMajor() {
        return {};
    }
    async tickMinor() {
        return {};
    }
    async uniqueIncrement(key) {
        await this.commit({
            foo: [
                key
            ]
        });
    }
}
